import { Observable, Subject } from "rxjs";
/**
 * Indicates whether the observable is currently loading (meaning subscription is active and
 * it hasn't completed or errored).
 *
 * @param indicator subject as target for indication
 * @returns stream which will indicate loading through passed subject
 */
export declare function indicate<T>(indicator: Subject<boolean>): (source: Observable<T>) => Observable<T>;
