import { HttpEvent } from "@angular/common/http";
import { Observable } from "rxjs";
export interface Upload<T> {
    progress: number;
    state: "PENDING" | "IN_PROGRESS" | "DONE";
    body: T | null;
}
export declare function upload<T = unknown>(): (source: Observable<HttpEvent<T>>) => Observable<Upload<T>>;
