import { Observable, OperatorFunction } from "rxjs";
import { NgZone } from "@angular/core";
export declare const noZoneRunner: (zone: NgZone) => <T>(source: Observable<T>) => Observable<T>;
export declare function runOutsideZone<T>(zone: NgZone): OperatorFunction<T, T>;
export declare function runInZone<T>(zone: NgZone): OperatorFunction<T, T>;
